GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » PANDA » PandaRoot » Bugs, Fixes, Releases » Problems compiling CADConverter on Ubuntu 9.04
Re: Problems compiling CADConverter on Ubuntu 9.04 [message #8905 is a reply to message #8904] Wed, 24 June 2009 18:02 Go to previous messageGo to previous message
Florian Uhlig is currently offline  Florian Uhlig
Messages: 424
Registered: May 2007
first-grade participant
From: *gsi.de
Hi Sverre

Probably all the errors has to do with changes in the standard header files. With new versions of gcc there were a cleanup of
include statements in the header files. This results in compilation errors because functions/definitions are not known any longer.

For example INT_MAX, INT_MIN and CHAR_BIT are defined in climits.h. std::setw and std::setprecision are defined in iomanip. Adding these header files should solve the problems.

Since the problems are in an external package maybe upgrade to a newer version of OpenCascade.

Ciao

Florian
 
Read Message
Read Message
Read Message icon7.gif
Previous Topic: Bug in PndEmcMapper class: neighbour lists of PndEmcTwoCoordIndex wrong
Next Topic: incomplete types
Goto Forum:
  


Current Time: Sat Apr 20 22:01:51 CEST 2024

Total time taken to generate the page: 0.01212 seconds